petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSMonitorLGGetVariableNames

Gets the name of each component in the solution vector so that it may be displayed in the plot

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSMonitorLGGetVariableNames(TS ts,const char *const **names)

Collective on TS Many br

### Input Parameter

ts -the TS context Many br

### Output Parameter

names -the names of the components, final string must be NULL Many br

Many br

Notes: If the TS object does not have a TSMonitorLGCtx associated with it then this function is ignored Many br

### Keywords

TS, vector, monitor, view

### See Also

TSMonitorSet(), TSMonitorDefault(), VecView(), TSMonitorLGSetDisplayVariables()

Level:intermediate
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/extchem.c.html